Bug 95316 - Update port: devel/plan9port to 20060402
Summary: Update port: devel/plan9port to 20060402
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-04 19:00 UTC by Serge Gagnon
Modified: 2006-05-05 19:03 UTC (History)
0 users

See Also:


Attachments
plan9port.diff (3.25 KB, patch)
2006-04-04 19:00 UTC, Serge Gagnon
no flags Details | Diff
file.diff (551 bytes, patch)
2006-04-04 19:00 UTC, Serge Gagnon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Gagnon 2006-04-04 19:00:30 UTC
- Update to 20060402
- Remove RESTRICTED field since the author got a permission from B&H
- Remove plan9port entry from LEGAL file
- Remove USE_PERL5 ( I do not see where this port use PERL ) (reported by Nikolai Saoukh <nms@otdel-1.org> )
- Man pages have been added
- pkg-message have been change
- Fix a typo in post-patch:

Message-id: <ee9e417a0604032121k4c8169a7taebe5e74d7752906@mail.gmail.com>
From: "Russ Cox" <rsc@swtch.com>
Date: Tue, 4 Apr 2006 00:21:37 -0400
To: "Fans of the OS Plan 9 from Bell Labs" <9fans@cse.psu.edu>

On 12/30/05, Russ Cox <rsc@swtch.com> wrote:
> I would argue that distribution of the fonts with plan9port
> counts as being with the Plan 9 Operating System, since
> that's what plan9port is, just a port of the Plan 9 Operating System
> software to Unix systems.
>
> If you pulled the fonts out and distributed them with some
> other piece of software, that wouldn't be allowed.  But I think
> distribution with plan9port is fine.

The above argument was admittedly shaky.  With help from Rob,
I have obtained explicit permission from Bigelow & Holmes to
use and distribute the bitmap fonts with plan9port and to allow
others to do the same.  This should clear up any questions of
distributability of plan9port.

As part of the agreement, I renamed the font directories to avoid
the use of the name "Lucida".  If you have run cvs up recently, you
will have already noticed this.  There are three effects worth mentioning:

  - Old acme binaries, which refer to the lucidasans directory,
    will no longer run.  To fix this, simply recompile acme.

  - The fonts may be named in your acme.dump files.  If so,
    acme -l acme.dump will fail.  To fix this, edit acme.dump and
    ,s/lucida/luc/g.

  - You may need to edit your profiles or shell scripts if you use
    the -f or -F options to acme in scripts or shell functions.

Also as part of the agreement, the PostScript versions of the fonts
are no longer part of the distribution.  As a replacement, I have imported
Luxi Sans and Deja Vu Sans, both of which were freely available.
The typeset manual pages use Luxi Sans, but Deja Vu Sans has
broader Unicode support.

All these changes have been in the distribution for two weeks.
http://swtch.com/usr/local/plan9/CHANGES has a few more details.
See the March 19, 2006 entry.

Enjoy.
Russ
Comment 1 Marcus Alves Grando freebsd_committer 2006-05-05 19:03:24 UTC
State Changed
From-To: open->closed

Committed. Thanks!